### Method

# GLib String insert_c

#### Declaration

    GString*
    g_string_insert_c (
      GString* string,
      gssize pos,
      gchar c
    )

#### Description

Inserts a byte into a `GString`, expanding it if necessary.

#### Parameters

`pos`

  Type: `gssize`

  The position to insert the byte.

`c`

  Type: `gchar`

  The byte to insert.

#### Return value

Type: `GString`

`string`.

The data is owned by the instance.